/*
	SimpliFaceEvents.h
	
	AE Registry extensions for SimpliFace

	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.

*/


/* custom apple event: "user event" */

#define kAESystemEvent	'SYSE'

#define keyAEEventKind	'PEVK'


/* enumerations */

#define enumEventKind	'EEVK'
#define	kAEMenuEvent	'EMEN'
#define	kAEKeyEvent		'EKEY'
#define	kAEMouseEvent	'EMOU'

#define enumButtonKind	'EBTK'
#define	kAEBtnStandard	'EBST'
#define	kAEBtnCheckbox	'EBCB'
#define	kAEBtnRadio		'EBRA'


/* object classes */

#define	cButton			'CBTN'
#define	cTextField		'CFTX'


/* object properties */

#define pSharedScript	'SCPT'
#define pButtonKind		'PBTK'
#define pEditable		'PEDI'

